## org.apache.hadoop.examples.terasort
Class TeraSort

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.examples.terasort.TeraSort

All Implemented Interfaces:
  Configurable, Tool

    public class TeraSort

extends Configured
implements Tool

Generates the sampled split points, launches the job, and waits for it to finish.

To run the program: bin/hadoop jar hadoop-examples-*.jar terasort in-dir out-dir

Constructor Summary
`TeraSort()`

Method Summary
`static void` `main(String[] args)`
`int` `run(String[] args)` Execute the command with the given arguments.

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### TeraSort

    public TeraSort()

Method Detail

### run

    public int run(String[] args)
            throws Exception

  Description copied from interface: `Tool`
  Execute the command with the given arguments.

  Specified by:
    `run` in interface `Tool`
  Parameters:
    `args` - command specific arguments.
  Returns:
    exit code.
  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Parameters:
    `args` -
  Throws:
    `Exception`

Copyright © 2009 The Apache Software Foundation